How to get Simple Backup

Navigation: »No topics above this level«

How to get Simple Backup

 Return to chapter overview

Simple Backup is free for commercial use. Simple Backup can be downloaded for Software Verify's website at https://www.softwareverify.com.

This help manual is available in Compiled HTML Help (Windows Help files), PDF, and online.

Windows Help | https://www.softwareverify.com/documentation/chm/simpleBackup.chm
PDF | https://www.softwareverify.com/documentation/pdfs/simpleBackup.pdf
Online | https://www.softwareverify.com/documentation/html/simpleBackup/index.html

Whilst Simple Backup is free for commercial use, Simple Backup is copyrighted software and is not in the public domain. You are free to use the software at your own risk. You are not allowed to distribute the software in any form, or to sell the software, or to host the software on a website.

Contact Software Verify at:

Software Verify Limited

Suffolk Business Park

Eldo House

Kempson Way

Bury Saint Edmunds

IP32 7AR

United Kingdom

email | sales@softwareverify.com
web | https://www.softwareverify.com
blog | https://www.softwareverify.com/blog
twitter | http://twitter.com/softwareverify

Visit our blog to read our articles on debugging techniques and tools.

Follow us on twitter to keep track of the latest software tools and updates.


What does Simple Backup do?

Navigation: »No topics above this level«

What does Simple Backup do?

 Return to chapter overview

Simple Backup allows you to easily backup files from your computer.

Just plug in an external hard drive, start the software and click the Start Backing up Files button.

Who is this software for?

This software is intended to be so easy to use that you can use this software even if you think of yourself as someone that doesn't know how to use computers very well.

That said, if you're a power user there are options for you in the settings that provide you with more control if you want it.

What files are backed up if I don't configure anything?

We back up all the files in your user directory, except any files in folders that start with $ or .

What if I want to backup more than the default selection of files?

You can easily add additional locations to backup using the Settings dialog.

If you want to only backup a particular type of file, say all JPG files (files from your camera) then you can do that with the file filters settings.

If you want to backup files in different directories, or on different disk drives then you can do that with the directories settings.

What happens if the drive letter changes?

If you're using the same external hard drive but the drive letter changes, we'll detect that change and let you know.

You'll get the choice of continuing to use this drive with a different drive letter, or configuring a different backup location.

What happens if I change the backup device to a different hard drive?

If you start using a different external hard drive we'll detect that change and help you configure the backup software to use that new external hard drive.


The user interface

Navigation: »No topics above this level«

The user interface

 Return to chapter overview

The Simple Backup user interface very simple.

A menu is provided to allow you to edit the settings, view the help and to exit the program.

There is a large button which will start or stop the backing up process.

A settings dialog is provided to allow you to customize which files are backed up or ignored.

Support for identifying external backup devices is provided so that we can warn you when a different backup device is connected compared to the last time you made a backup.


Menu

Navigation: The user interface >

Menu

 Return to chapter overview

The main menu contains three menus, File, Settings and Help.


File

Navigation: The user interface > Menu >

File

 Return to chapter overview

The File menu

File instructionStep Exit

Closes Simple Backup.


Settings

Navigation: The user interface > Menu >

Settings

 Return to chapter overview

The Settings menu controls editing of the settings controlling Simple Backup

Settings instructionStep Edit Settings...

Displays the settings dialog so that you can edit the current settings.

Settings instructionStep First-Run Wizard...

Displays the First-Run Wizard so that you can configure the settings as if you'd never run the software before.


Software Updates

Navigation: The user interface > Menu >

Software Updates

 Return to chapter overview

The Software Updates menu controls how often software updates are downloaded.

If you've been notified of a new software release to Simple Backup or just want to see if there's a new version, this feature makes it easy to update.

menu Software Updates menu instructionStep Check for software updates instructionStep checks for updates and shows the software update dialog if any exist

An internet connection is needed to be able to make contact with our servers.

note Before updating the software, close the help manual, and end any active session by closing target programs.

If no updates are available, you'll just see this message:

Software Update dialog

If a software update is available for Simple Backup you'll see the software update dialog.

·Download and install instructionStep downloads the update, showing progress

Once the update has downloaded, Simple Backup will close, run the installer, and restart.

You can stop the download at any time, if necessary.

·Don't download... instructionStep Doesn't download, but you'll be prompted for it again next time you start Simple Backup

·Skip this version... instructionStep Doesn't download the update and doesn't bother you again until there's an even newer update

·Software update options... instructionStep edit the software update schedule

Problems downloading or installing?

If for whatever reason, automatic download and installation fails to complete:

·Download the latest installer manually from the software verify website.

Make some checks for possible scenarios where files may be locked by Simple Backup as follows:

·Ensure Simple Backup and its help manual is also closed

·Ensure any error dialogs from the previous installation are closed

You should now be ready to run the new version.

Software update schedule

Simple Backup can automatically check to see if a new version of Simple Backup is available for downloading.

menu Software Updates menu instructionStep Configure software updates instructionStep shows the software update schedule dialog

The update options are:

·never check for updates

·check daily (the default)

·check weekly

·check monthly

The most recent check for updates is shown at the bottom.

Software update directory

It’s important to be able to specify where software updates are downloaded to because of potential security risks that may arise from allowing the TMP directory to be executable. For example, to counteract security threats it's possible that account ownership permissions or antivirus software blocks program execution directly from the TMP directory.

The TMP directory is the default location but if for whatever reason you're not comfortable with that, you can specify your preferred download directory. This allows you to set permissions for TMP to deny execute privileges if you wish.

menu Software Updates menu instructionStep Set software update directory instructionStep shows the Software update download directory dialog

An invalid directory will show the path in red and will not be accepted until a valid folder is entered.

Example reasons for invalid directories include:

·the directory doesn't exist

·the directory doesn't have write privilege (update can't be downloaded)

·the directory doesn't have execute privilege (downloaded update can't be run)

note When modifying the download directory, you should ensure the directory will continue to be valid. Updates may no longer occur if the download location is later invalidated.

·Reset instructionStep reverts the download location to the user's TMP directory

The default location is c:\users\[username]\AppData\Local\Temp


Help

Navigation: The user interface > Menu >

Help

 Return to chapter overview

The Help menu controls displaying this help document and displaying information about Simple Backup.

Help menu instructionStep About Simple Backup... instructionStep displays information about Simple Backup.

Help menu instructionStep Readme and Version History... instructionStep displays the readme and version history.

Help menu instructionStep Help Topics... instructionStep displays this help file.

Help menu instructionStep Help PDF... instructionStep displays this help file in PDF format.

Help menu instructionStep Help on softwareverify.com... instructionStep display the Software Verify documentation web page where you can view online documentation or download compiled HTML Help and PDF help documents.

Help menu instructionStep Blog... instructionStep display the Software Verify blog.

Help menu instructionStep Contact customer support... instructionStep displays the options for contacting customer support.

Click a link to contact customer support.


Main User Interface

Navigation: The user interface >

Main User Interface

 Return to chapter overview

The Simple Backup user interface very simple.

There is a large button which will start or stop the backing up process.

A settings dialog is provided to allow you to customize which files are backed up or ignored.

Support for identifying external backup devices is provided so that we can warn you when a different backup device is connected compared to the last time you made a backup.

·Start Backing up Files instructionStep starts the backup process.

If you've never configured Simple Backup you are prompted to do this first.

·Stop Backup instructionStep stops the backup process.

A dialog is displayed that shows which files were backed up and which files couldn't be backed up.


Settings dialog

Navigation: »No topics above this level«

Settings dialog

 Return to chapter overview

The settings dialog allows you to configure how Simple Backup behaves.


Location

Navigation: Settings dialog >

Location

 Return to chapter overview

The Location settings allow you to configure which device you'll store backup files on, and which folder on that device.

·Edit... instructionStep displays the configure backup device dialog

Reset All

Resets the options on all pages of the settings dialog to the default.

Reset

Resets just the options on this page of the settings dialog to the default.


Directories

Navigation: Settings dialog >

Directories

 Return to chapter overview

The Directories settings allow you to configure which directories you'll backup and which directories will be ignored.

Adding and removing directories to backup

·Add... instructionStep displays a folder selection dialog. When a folder is selected it is added to the list, with the type column set to Include

·Remove instructionStep removes the selected folder from the list

·Remove All instructionStep removes all folders from the list

Controlling which default directories are ignored

·Don't backup Recycle bin instructionStep recycle bins will not be backed up

·Don't backup directories start with $ instructionStep directories starting with $ will not be backed up. These are typically Windows work directories

·Don't backup directories start with . instructionStep directories start with . will not be backed up. These are typically workspace directories for various software tools.

·Don't backup AppData directory instructionStep directories in the user's AppData directory will not be backed up. Data relating to applications installed on your computer.

·Don't backup C:\Windows instructionStep directories in the Windows directory will not be backed up. The Windows operating system.

·Don't backup C:\Program Files instructionStep directories in C:\Program Files will not be backed up. Installed software, these should be restored by reinstalling the software.

·Don't backup C:\Program Files (x86) instructionStep directories in C:\Program Files (x86) will not be backed up. Installed software, these should be restored by reinstalling the software.

·Don't backup C:\ProgramData instructionStep directories in C:\ProgramData will not be backed up. These are typically workspace directories for installed applications.

·Don't backup Temp directory instructionStep any directory named Temp will not be backed up.

Include and Exclude

By default when you add an entry to the list of folders to backup it is included in the list of folders that will be backed up.

But what if there is a folder inside one of your folders that you don't want backed up? How do you handle that? That's where excluding folders comes into action.

Consider this folder hierarchy:

c:\users\stephen\
c:\users\stephen\MicrosoftEdgeBackups
c:\users\stephen\photos
c:\users\stephen\video
c:\users\stephen\audio

Let's say you want to backup everything in c:\users\stephen but you don't want to backup anything from c:\users\stephen\MicrosoftEdgeBackups.

1.Add c:\users\stephen\ then click in the directories column to accept the Include suggestion.

2.Add c:\users\stephen\MicrosoftEdgeBackups then change the Include suggestion to Exclude then click in the directories column to accept it.

3.You should now have a line that reads Exclude c:\users\stephen\MicrosoftEdgeBackups

How can I edit an existing line?

Double click in the Include/Exclude column of the row you want to change then change it to Include or Exclude as appropriate.

Double click in the directory column of the row you want to change then choose a new folder locations.

Reset All

Resets the options on all pages of the settings dialog to the default.

Reset

Resets just the options on this page of the settings dialog to the default.


Filters

Navigation: Settings dialog >

Filters

 Return to chapter overview

The Filters settings allow you to configure which files you'll backup and which files will be ignored.

·Backup all files instructionStep all files are backed up

·Backup only these file types instructionStep only files that have a file extension matching one of those in the list are backed up

·Backup excluding these file types instructionStep only files that have a file extension that do not match one of those in the list are backed up

·Edit... instructionStep edit the list of filters using the file extension chooser dialog.

Reset All

Resets the options on all pages of the settings dialog to the default.

Reset

Resets just the options on this page of the settings dialog to the default.


Backup Complete

Navigation: Settings dialog >

Backup Complete

 Return to chapter overview

The Backup Complete settings allow you to configure what happens when a backup complete.

Status messages

When files are being backed up Simple Backup records if each file was successfully backed up or if the backup failed.

When the backup completes you can inspect the success and failure information if you want to.

Your options are:

·Don't show me anything

·Show me a list of successful file backups

·Show me a list of failed file backups

·Show me a list of successful file backups and failed file backups

No status messages

If there were no files needing to backed up you can have a backup complete message displayed to let you know the backup is complete.

Select the If there are no status messages check box if you want this to happen.

Reset All

Resets the options on all pages of the settings dialog to the default.

Reset

Resets just the options on this page of the settings dialog to the default.


Settings Wizard

Navigation: »No topics above this level«

Settings Wizard

 Return to chapter overview

The Settings Wizard is displayed the first time an attempt to backup files is made.

You can also display this wizard from the Settings menu.

The wizard provides the similar functionality as the settings dialog, but guides the user through the settings in a fixed order, with the settings reset to as if the software had just been installed.


Connect Your Backup Device

Navigation: Settings Wizard >

Connect Your Backup Device

 Return to chapter overview

Before you can configure which backup device to use we need to make sure that you have connected your backup device to the computer.

This page of the wizard is to remind you to ensure your backup device is connected to the computer.

If you're not using an external backup device because you're using an internal hard drive or networked hard drive to store your backup you can skip this page of the wizard.


Backup Device

Navigation: Settings Wizard >

Backup Device

 Return to chapter overview

The configure backup device wiz allows you to specify which device you are going to use to store your backed up files on.

Types of back up device

The types of device available are:

·External USB hard drives. These are hard drives in an enclosure that you attach to your PC with a USB cable.

·USB Flash drives. These are also known as USB Thumb Drives. About the size of a keyfob they plug into a USB socket.

·Removable hard drives. These hard drives are in an enclosure that can be removed from the computer by unlocking a door.

·Internal hard drives. These are the hard drives inside your machine.

·Network hard drives. These are hard drives on other machines on the network your computer is attached to.

What type of backup device should I use?

Typically you'll want to backup to an external USB hard drive or a USB flash drive because these can easily be disconnected from your PC.

Removable hard drives are not so common and more likely to be found in a business environment. Similarly, networked hard drives are more likely to be found at work.

Configure Backup Device Dialog

·External USB hard drive instructionStep choose from available external USB hard drives

·USB Flash drive instructionStep choose from available external USB flash drives

·Removable hard drive instructionStep choose from available removable hard drives

·Internal hard drive instructionStep choose from available internal hard drives

·Network hard drive instructionStep choose from available network hard drives

·Directory instructionStep type the path to the backup device and directory

·Browse... instructionStep select the path to the backup device and directory

First Time Use

The first time you display this dialog no devices will be selected by default.

Configured Use

If you've already configured a backup device and backup location the dialog will display the selected configuration.

If the backup device you previously used is not connected when you open this dialog, then no selection will be made.


Backup Directory

Navigation: Settings Wizard >

Backup Directory

 Return to chapter overview

Directory

Once you've chosen your backup device, you need to specify which directory on that device the backup will be stored in.

You can type the backup directory or use a file browser to choose it by clicking Browse....


Backup Directories

Navigation: Settings Wizard >

Backup Directories

 Return to chapter overview

The Directories settings allow you to configure which directories you'll backup and which directories will be ignored.

Adding and removing directories to backup

·Add... instructionStep displays a folder selection dialog. When a folder is selected it is added to the list, with the type column set to Include

·Remove instructionStep removes the selected folder from the list

·Remove All instructionStep removes all folders from the list

Controlling which default directories are ignored

·Don't backup Recycle bin instructionStep recycle bins will not be backed up

·Don't backup directories start with $ instructionStep directories starting with $ will not be backed up. These are typically Windows work directories

·Don't backup directories start with . instructionStep directories start with . will not be backed up. These are typically workspace directories for various software tools.

·Don't backup AppData directory instructionStep directories in the user's AppData directory will not be backed up. Data relating to applications installed on your computer.

·Don't backup C:\Windows instructionStep directories in the Windows directory will not be backed up. The Windows operating system.

·Don't backup C:\Program Files instructionStep directories in C:\Program Files will not be backed up. Installed software, these should be restored by reinstalling the software.

·Don't backup C:\Program Files (x86) instructionStep directories in C:\Program Files (x86) will not be backed up. Installed software, these should be restored by reinstalling the software.

·Don't backup C:\ProgramData instructionStep directories in C:\ProgramData will not be backed up. These are typically workspace directories for installed applications.

·Don't backup Temp directory instructionStep any directory named Temp will not be backed up.

Include and Exclude

By default when you add an entry to the list of folders to backup it is included in the list of folders that will be backed up.

But what if there is a folder inside one of your folders that you don't want backed up? How do you handle that? That's where excluding folders comes into action.

Consider this folder hierarchy:

c:\users\stephen\
c:\users\stephen\MicrosoftEdgeBackups
c:\users\stephen\photos
c:\users\stephen\video
c:\users\stephen\audio

Let's say you want to backup everything in c:\users\stephen but you don't want to backup anything from c:\users\stephen\MicrosoftEdgeBackups.

1.Add c:\users\stephen\ then click in the directories column to accept the Include suggestion.

2.Add c:\users\stephen\MicrosoftEdgeBackups then change the Include suggestion to Exclude then click in the directories column to accept it.

3.You should now have a line that reads Exclude c:\users\stephen\MicrosoftEdgeBackups

How can I edit an existing line?

Double click in the Include/Exclude column of the row you want to change then change it to Include or Exclude as appropriate.

Double click in the directory column of the row you want to change then choose a new folder locations.


Backup Filters

Navigation: Settings Wizard >

Backup Filters

 Return to chapter overview

The Filters settings allow you to configure which files you'll backup and which files will be ignored.

·Backup all files instructionStep all files are backed up

·Backup only these file types instructionStep only files that have a file extension matching one of those in the list are backed up

·Backup excluding these file types instructionStep only files that have a file extension that do not match one of those in the list are backed up

·Edit... instructionStep edit the list of filters using the file extension chooser dialog.

Reset All

Resets the options on all pages of the settings dialog to the default.

Reset

Resets just the options on this page of the settings dialog to the default.


Backup Complete

Navigation: Settings Wizard >

Backup Complete

 Return to chapter overview

The Backup Complete settings allow you to configure what happens when a backup complete.

Status messages

When files are being backed up Simple Backup records if each file was successfully backed up or if the backup failed.

When the backup completes you can inspect the success and failure information if you want to.

Your options are:

·Don't show me anything

·Show me a list of successful file backups

·Show me a list of failed file backups

·Show me a list of successful file backups and failed file backups

No status messages

If there were no files needing to backed up you can have a backup complete message displayed to let you know the backup is complete.

Select the If there are no status messages check box if you want this to happen.

Reset All

Resets the options on all pages of the settings dialog to the default.

Reset

Resets just the options on this page of the settings dialog to the default.


Configure Backup Device Dialog

Navigation: »No topics above this level«

Configure Backup Device Dialog

 Return to chapter overview

The configure backup device dialog allows you to specify which device you are going to use to store your backed up files on.

Types of back up device

The types of device available are:

·External USB hard drives. These are hard drives in an enclosure that you attach to your PC with a USB cable.

·USB Flash drives. These are also known as USB Thumb Drives. About the size of a keyfob they plug into a USB socket.

·Removable hard drives. These hard drives are in an enclosure that can be removed from the computer by unlocking a door.

·Internal hard drives. These are the hard drives inside your machine.

·Network hard drives. These are hard drives on other machines on the network your computer is attached to.

What type of backup device should I use?

Typically you'll want to backup to an external USB hard drive or a USB flash drive because these can easily be disconnected from your PC.

Removable hard drives are not so common and more likely to be found in a business environment. Similarly, networked hard drives are more likely to be found at work.

Configure Backup Device Dialog

·External USB hard drive instructionStep choose from available external USB hard drives

·USB Flash drive instructionStep choose from available external USB flash drives

·Removable hard drive instructionStep choose from available removable hard drives

·Internal hard drive instructionStep choose from available internal hard drives

·Network hard drive instructionStep choose from available network hard drives

·Directory instructionStep type the path to the backup device and directory

·Browse... instructionStep select the path to the backup device and directory

Directory

Once you've chosen your backup device, you need to specify which directory on that device the backup will be stored in.

You can type the backup directory or use a file browser to choose it by clicking Browse....

First Time Use

The first time you display this dialog no devices will be selected by default.

Configured Use

If you've already configured a backup device and backup location the dialog will display the selected configuration.

If the backup device you previously used is not connected when you open this dialog, then no selection will be made.


File Extension Chooser Dialog

Navigation: »No topics above this level«

File Extension Chooser Dialog

 Return to chapter overview

The file extension chooser dialog allows you to specify which file extensions you are going to work with.

File extensions are displayed in groups:

·Image. File formats for photography, art, graphics.

·Audio. mp3, wav, etc

·Video. mp4, vfw, mov, etc.

·Document. File formats for documents (Word, WordPad, Excel, etc).

·Programming. File formats for computer programming languages.

·Web. File formats for websites.

·Executables and DLLs. Files that are part of applications.

·Build artifacts. Files created by compilers/IDEs such as Visual Studio.

Each group of files can be expanded and contracted.

Enabling a group enables all items in that group.

Disabling a group disables all items in that group.

·Enable All instructionStep enable all items in all groups

·Disable All instructionStep disable all items in all groups

User Defined Extensions

If you want to provide some extensions that are not present in the predefined list, type them into the User Defined field, separating them with semi-colons (;).

·User defined instructionStep type your file extensions here, separated with semi-colons.